\name{TileCalcWinGC2}
\alias{TileCalcWinGC2}
\title{TileCalcWinGC2}
\usage{TileCalcWinGC2(gc, win.st, win.len)}
\description{Calculates the average window GC content.}
\details{Calculates the average window GC content on probe GC contents with given
start positions and window lengths. In case of few but longer windows, this
function is superior to \code{\link{TileCalcWinGC}} which is optimized for
short windows.}
\value{A \code{numeric} \code{vector} containing the average GC content per
window. Note that windows of length zero are reported with average GC
content of \code{NA}. Moreover, GC content with the value \code{NA}
are excluded from the calculation.}
\keyword{internal}
\arguments{\item{gc}{A \code{numeric} \code{vector} containing the GC content of one
or more probes. The GC content is the sum of the relative numbers of
Cs and Gs in the probe sequence.}
\item{win.st}{An \code{integer} \code{vector} containing one or more window
start positions in \code{gc}.}
\item{win.len}{An \code{integer} \code{vector} containing one or more window
lengths. It must be of same length as \code{win.st}.}}
