\name{TileCalcWinMean2}
\alias{TileCalcWinMean2}
\title{TileCalcWinMean2}
\usage{TileCalcWinMean2(int, win.st, win.len)}
\description{Calculates arithmetic average (mean) on windows.}
\details{Calculates arithmetic average (mean) on probe scores with given start
positions and window lengths. In case of few but longer windows, this
function is superior to \code{\link{TileCalcWinMean}} which is optimized for
short windows.}
\value{A \code{numeric} \code{vector} containing the arithmetic average of
the window scores for each possible start position. Note that windows
of length zero are reported with a window score of \code{NA}.
Moreover, probe scores with the value \code{NA} are excluded from
the calculation.}
\keyword{internal}
\arguments{\item{int}{A \code{numeric} \code{vector} containing one or more probe
scores (i.e. intensities or log-fold changes).}
\item{win.st}{An \code{integer} \code{vector} containing one or more window
start positions in \code{int}.}
\item{win.len}{An \code{integer} \code{vector} containing one or more window
lengths. It must be of same length as \code{win.st}.}}
