\name{TileCalcWinMinQ}
\alias{TileCalcWinMinQ}
\title{TileCalcWinMinQ}
\usage{TileCalcWinMinQ(qval, len, win.st, win.len)}
\description{Calculates the minimal q-value within merged windows.}
\details{Calculates the minimal q-value within merged windows, created by union of
overlapping significant windows. Since q-values were estimated only on the
original windows, the minimal q-value is assigned to each merged window by
considering the q-value of each entirely enclosed window.}
\value{A \code{numeric} \code{vector} containing the minimal estimated
q-value within each merged window by taking the minimum of all
given q-values of windows that are entirely enclosed in the merged
windows. The result \code{vector} has the same length as
\code{win.st}. Note that windows of length zero are reported with
minimal q-value of \code{NA}. Moreover, q-values with the value
\code{NA} are excluded from the calculation.}
\keyword{internal}
\arguments{\item{qval}{A \code{numeric} \code{vector} containing one or more q-values
that were estimated on the original windows.}
\item{len}{An \code{integer} \code{vector} containing the length of one or
more original windows. It must be of same length as \code{qval}.}
\item{win.st}{An \code{integer} \code{vector} containing one or more start
positions of the merged (and hence potentially longer) windows.}
\item{win.len}{An \code{integer} \code{vector} containing one or more
lengths of the original windows. It must be of same length as
\code{win.st}.}}
