\name{TileReadSignalHelper}
\alias{TileReadSignalHelper}
\title{TileReadSignalHelper}
\usage{TileReadSignalHelper(filename, minhits, verbose)}
\description{Reads a TAS-created signal.txt file.}
\details{Reads a human-readable signal.txt file created by the Tiling Array Software
(TAS) from Affymetrix. The signal files comprise information on the genomic
map entry (e.g. chromosome name), probe center positions and probe
intensities. The intensities are assumed to be in \code{log2} scale. The
method generates a \code{list} for each genomic map entry containing the
center position and intensity of the corresponding probes.}
\value{Returns a \code{list} for each genomic map entry containing the
center position and intensity of all corresponding probes.}
\keyword{internal}
\arguments{\item{filename}{Filename of human-readable signal.txt file
(as a \code{character}) created by the Tiling Array Software (TAS).}
\item{minhits}{Minimal number of hits in BPMAP entry to be considered for
the further analysis. Due to historical reasons there are several
entries in the BPMAP file with only around thousand probes assigned
that might overlap with the larger entries or with entries on other
tiling arrays.}
\item{verbose}{Indicates whether information on progress are printed.}}
